.AUTODEPEND

#		*Translator Definitions*
CC = tcc +VOYAGER.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) {$< }


#		*List Macros*


EXE_dependencies =  \
  commands.obj \
  dump.obj \
  find.obj \
  help.obj \
  index.obj \
  instruct.obj \
  list.obj \
  memory.obj \
  modes.obj \
  objects.obj \
  pager.obj \
  ports.obj \
  search.obj \
  ta.obj \
  tree.obj \
  voyager.obj

#		*Explicit Rules*
voyager.exe: voyager.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c @&&|
d:\tc\lib\c0c.obj+
commands.obj+
dump.obj+
find.obj+
help.obj+
index.obj+
instruct.obj+
list.obj+
memory.obj+
modes.obj+
objects.obj+
pager.obj+
ports.obj+
search.obj+
ta.obj+
tree.obj+
voyager.obj
voyager,
d:\tc\lib\graphics.lib+
d:\tc\lib\fp87.lib+
d:\tc\lib\mathc.lib+
d:\tc\lib\cc.lib
|


#		*Individual File Dependencies*
commands.obj: commands.c 

dump.obj: dump.c 

find.obj: find.c 

help.obj: help.c 

index.obj: index.c 

instruct.obj: instruct.c 

list.obj: list.c 

memory.obj: memory.c 

modes.obj: modes.c 

objects.obj: objects.c 

pager.obj: pager.c 

ports.obj: ports.c 

search.obj: search.c 

ta.obj: ta.c 

tree.obj: tree.c 

voyager.obj: voyager.c 

#		*Compiler Configuration File*
voyager.cfg: voyager.mak
  copy &&|
-mc
-2
-f287
-O
-G
-V
-vi-
-ID:\TC\INCLUDE
-LD:\TC\LIB
| voyager.cfg


